Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-44556

Debian packages modified without increasing version number

    Details

    • Type: Bug
    • Status: Open (View Workflow)
    • Priority: Minor
    • Resolution: Unresolved
    • Component/s: packaging
    • Labels:
      None
    • Environment:
      Debian
    • Similar Issues:

      Description

      To address https://issues.jenkins-ci.org/browse/JENKINS-44504  + https://issues.jenkins-ci.org/browse/JENKINS-44502 the existing Debian package jenkins_2.46.3_all.deb was modified with the following change:

      -Depends: daemon, adduser, procps, psmisc, net-tools, default-jre-headless (>= 2:1.8) | java8-runtime-headless

      + Depends: daemon, adduser, procps, psmisc, net-tools, default-jre-headless (>= 2:1.7) | java7-runtime-headless

      Please do not modify existing (and published) releases, instead increase the version number (use the Debian version string for such packaging related changes, like: 2.46.3-1 -> 2.46.3-2).

      Reporting this since this isn't happening for the first time, and it's giving users of the Debian package different results depending on time of installation, and it's also breaking Debian package mirroring where file verification is in place.

      (Please reassign/move as needed, that's the best place I found for reporting this. )

      Thanks for consideration!

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kohsuke Kohsuke Kawaguchi
                Reporter:
                mika Michael Prokop
              • Votes:
                1 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated: